<div class="container">
<div class="row mt-4">
  <div class="col-md-6">
    <div class="row" style="height: 450px;">
      <div class="col-md-12 my-auto side-header">
        <img src="/assets/img/add_user.png" class="mx-auto d-block">
        <h1>Road Assist Login</h1>
        <p><em>-Smart <strong>Road Assist </strong> System <strong>*</strong></em></p>
      </div>
    </div>
  </div>
  <div class="col-md-6">
  
      <form [formGroup]="registrationForm" autocomplete="off" (ngSubmit)="onFormSubmit(userForm.value)">  
      <div class="form-group required">
        <label>Username</label>
        <input class="form-control" formControlName="UserName">
        <label class="text-danger" *ngIf="registrationForm.get('UserName').touched && registrationForm.get('UserName').errors?.required">This field is mandatory.</label>
      </div>
      
      <div formGroupName="Passwords">
        <div class="form-group required">
          <label>Password</label>
          <input type="password" class="form-control" formControlName="Password">
          <label class="text-danger" *ngIf="registrationForm.get('Passwords.Password').touched && registrationForm.get('Passwords.Password').errors?.required">This field is mandatory.</label>
          <label class="text-danger" *ngIf="registrationForm.get('Passwords.Password').touched && registrationForm.get('Passwords.Password').errors?.minlength">Minimum 4 characters required.</label>
        </div>
        
      </div>
      <div class="form-row">
        <div class="form-group col-md-8 offset-md-2">
          <button type="submit" class="btn btn-lg btn-block" [disabled]="!registrationForm.valid">Log In</button>
        </div>
      </div>
    </form>
  </div>
</div>
</div>